Bug 240052 - up2date fails to utilize failover serverURL
up2date fails to utilize failover serverURL
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Beth Nackashi
na
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 13:37 EDT by wes hayutin
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:36:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2007-05-14 13:37:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20061215 Red Hat/1.5.0.9-0.1.el4 Firefox/1.5.0.9

Description of problem:
running test case
http://testify.test.redhat.com/plancases.cgi?op=view&id=5856

Actions
1- On the client, configure /etc/sysconfig/rhn/up2date with a failover serverURL (e.g. "serverURL=https://xlrpc.rhn.webqa.redhat.com/XMLRPC;https://xmlrpc.rhn.webqa.redhat.com/XMLRPC"). Make sure the first URL is invalid so the client will exercise the failover URL.
2- Run up2date on the client. Verify it hits the second URL.

up2date fails to run.. after changing the up2date file..

[root@dhcp231-194 rhn]# up2date-nox screen
Error communicating with server. The message was:
Name or service not known


[Mon May 14 13:26:55 2007] up2date logging into up2date server
[Mon May 14 13:26:55 2007] up2date A socket error occurred: (-2, 'Name or service not known'), attempt #1
[Mon May 14 13:27:00 2007] up2date A socket error occurred: (-2, 'Name or service not known'), attempt #2
[Mon May 14 13:27:05 2007] up2date A socket error occurred: (-2, 'Name or service not known'), attempt #3
[Mon May 14 13:27:10 2007] up2date A socket error occurred: (-2, 'Name or service not known'), attempt #4
[Mon May 14 13:27:15 2007] up2date A socket error occurred: (-2, 'Name or service not known'), attempt #5
[Mon May 14 13:27:15 2007] up2date Error communicating with server. The message was:
Name or service not known





Version-Release number of selected component (if applicable):
up2date-4.5.5-5.el3

How reproducible:
Always


Steps to Reproduce:
1. see the description or testcase
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:36:55 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.